Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228422 - LSPP: cleanup xfrm_audit_log interface
Summary: LSPP: cleanup xfrm_audit_log interface
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Eric Paris
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 234654 RHEL5LSPPCertTracker
TreeView+ depends on / blocked
 
Reported: 2007-02-13 00:36 UTC by Joy Latten
Modified: 2018-10-19 22:59 UTC (History)
6 users (show)

Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 19:40:10 UTC
Target Upstream Version:


Attachments (Terms of Use)
LSPP.65 kernel patch for this issue. (deleted)
2007-02-19 17:24 UTC, Eric Paris
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0959 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5 Update 1 2007-11-08 00:47:37 UTC

Description Joy Latten 2007-02-13 00:36:58 UTC
Description of problem:

xfrm_audit_log()is not called correctly and BUG() needs to be added to ensure
some arguments are valid.

When called in xfrm_get_policy() causes a kernel crash. 

A patch has been posted on netdev mailing list and is currently undergoing a
review there.

This problem exists in lspp kernel and upstream kernel.

Comment 1 Eric Paris 2007-02-16 18:57:01 UTC
Notes to self:

http://marc.theaimsgroup.com/?l=linux-netdev&m=117132072022494&w=2

Going to need to revert patch # 21202 
Name: linux-2.6-xfrm-audit-correct-xfrm-auditing-panic.patch

To put this in.

Comment 2 Eric Paris 2007-02-19 17:24:31 UTC
Created attachment 148347 [details]
LSPP.65 kernel patch for this issue.

LSPP.65 kernel reveted the last fix for this problem and this patch should
implement the upstream fix.  Since the original problem is a panic we probably
need to be sure to solicit the upstream testers who found the problem to
specifically test with this patch.

Comment 3 Eric Paris 2007-03-06 21:32:03 UTC
I need to post this for a RHEL5 update.  It is upstream and has been verified as
still working in the LSPP kernels.

Comment 4 Joy Latten 2007-03-16 21:41:54 UTC
Tested xfrm_get_policy in LSPP kernel using a test program and appears ok.

Comment 6 RHEL Product and Program Management 2007-03-28 18:42:11 UTC
This request was evaluated by Red Hat Kernel Team for inclusion in a Red
Hat Enterprise Linux maintenance release, and has moved to bugzilla 
status POST.

Comment 7 Don Zickus 2007-04-23 21:51:22 UTC
in 2.6.18-16.el5

Comment 9 John Poelstra 2007-08-27 18:38:19 UTC
A fix for this issue should have been included in the packages contained in the
RHEL5.1-Snapshot3 on partners.redhat.com.  

Requested action: Please verify that your issue is fixed as soon as possible to
ensure that it is included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

More assistance: If you cannot access bugzilla, please reply with a message to
Issue Tracker and I will change the status for you.  If you need assistance
accessing ftp://partners.redhat.com, please contact your Partner Manager.

Comment 10 Joy Latten 2007-08-28 18:14:24 UTC
Verified that this is fixed.

Comment 12 errata-xmlrpc 2007-11-07 19:40:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html



Note You need to log in before you can comment on or make changes to this bug.